Update verifier application
Roles
Analytics Events
/v2/presentations/applications/{verifierApplicationId}Updates an existing mDocs online verifier application.
Analytic events
- CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_UPDATE_START
- CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_UPDATE_SUCCESS
- CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the verifier application.
uuidRequest Body
application/json
Verifier application payload
TypeScript Definitions
Use the request body type in TypeScript.
Configuration for an mDocs online verifier application.
Configuration for an mDocs online verifier web application. Either OID4VP or Digital Credentials API configuration must be provided.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/presentations/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "web", "domain": "string" }'{ "id": "string", "name": "string", "type": "web", "domain": "string", "additionalDomains": [ "string" ], "openid4vpConfiguration": { "supportedModes": "all", "redirectUris": [ "string" ], "display": { "logoImage": { "url": "string", "altText": "string" }, "headerText": "string", "bodyText": "string", "privacyPolicyUrl": "string", "primaryColorHex": "string" } }, "dcApiConfiguration": { "supportedBrowserPlatforms": { "desktop": true, "mobile": true } }, "resultAvailableInFrontChannel": true}How would you rate this page?
Retrieve a verifier application GET
Retrieves an existing mDocs online verifier application. ### **Analytic events** * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_START * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_SUCCESS * CREDENTIAL_PRESENTATION_VERIFIER_APPLICATION_RETRIEVE_FAIL
Delete a verifier application DELETE
Deletes an existing verifier application. Once deleted, any associated application instances will no longer be able to interact with the MATTR VII platform. ### **Analytic events** * PRESENTATION_VERIFIER_APPLICATION_DELETE_START * PRESENTATION_VERIFIER_APPLICATION_DELETE_SUCCESS * PRESENTATION_VERIFIER_APPLICATION_DELETE_FAIL